{
  "name": "troll-nft",
  "version": "1.0.0",
  "description": "Trolololo Kartal",
  "main": "index.js",
  "author": "daubit@daubit.org",
  "license": "MIT",
  "scripts": {
    "clean": "npx hardhat clean",
    "compile": "npx hardhat compile",
    "coverage": "npx hardhat coverage",
    "test": "npx hardhat test",
    "deploy:dev": "npx hardhat run scripts/deploy.ts --network localhost",
    "deploy:mumbai": "npx hardhat run scripts/deploy.ts --network mumbai",
    "deploy:poly": "npx hardhat run scripts/deploy.ts --network polygon"
  },
  "devDependencies": {
    "@nomiclabs/hardhat-ethers": "^2.0.6",
    "@nomiclabs/hardhat-etherscan": "^3.1.0",
    "@nomiclabs/hardhat-waffle": "^2.0.3",
    "@typechain/ethers-v5": "10.1.0",
    "@typechain/hardhat": "6.1.2",
    "@types/chai": "^4.3.1",
    "@types/lodash": "^4.14.182",
    "@types/mocha": "^9.1.1",
    "@types/node": "^16.11.7",
    "@types/progress": "^2.0.5",
    "@typescript-eslint/eslint-plugin": "^5.29.0",
    "@typescript-eslint/parser": "^5.29.0",
    "chai": "^4.3.6",
    "csv-parser": "^3.0.0",
    "dotenv": "^16.0.1",
    "eslint": "^8.18.0",
    "eslint-config-prettier": "^4.0.0",
    "eslint-config-standard": "^17.0.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-prettier": "^3.4.1",
    "eslint-plugin-promise": "^6.0.0",
    "ethereum-waffle": "^3.4.4",
    "ethers": "^5.6.9",
    "hardhat": "^2.9.9",
    "hardhat-gas-reporter": "^1.0.8",
    "prettier": "^2.7.1",
    "prettier-plugin-solidity": "^1.0.0-beta.13",
    "solhint": "^3.3.7",
    "solidity-coverage": "^0.7.21",
    "ts-node": "^10.8.1",
    "typechain": "^8.1.0",
    "typescript": "^4.7.4"
  },
  "dependencies": {
    "@openzeppelin/contracts": "^4.6.0",
    "@openzeppelin/contracts-upgradeable": "^4.6.0",
    "@openzeppelin/hardhat-upgrades": "^1.19.0",
    "@pinata/sdk": "^1.1.25",
    "ipfs-http-client": "^55.0.0",
    "lodash": "^4.17.21",
    "mongodb": "^4.5.0",
    "progress": "^2.0.3"
  },
  "engines": {
    "node": ">=16.0.0"
  }
}
